> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blend.money/llms.txt
> Use this file to discover all available pages before exploring further.

# List priced deposit tokens for a chain



## OpenAPI

````yaml /openapi/extern-fe.json get /extern/fe/intent/discovery/deposit/tokens
openapi: 3.1.0
info:
  title: Blend business-api — extern fe
  version: 1.0.0
  description: >-
    Frontend integration surface. Auth: X-Publishable-Key header + SIWE Bearer
    JWT. The account is implicit from the JWT.
servers:
  - url: https://{host}
    variables:
      host:
        default: api.portal.blend.money
security: []
paths:
  /extern/fe/intent/discovery/deposit/tokens:
    get:
      tags:
        - fe
      summary: List priced deposit tokens for a chain
      operationId: fe_getDepositTokens
      parameters:
        - name: chainId
          in: query
          required: true
          schema:
            anyOf:
              - type: string
              - type: number
        - name: eoa
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DepositToken'
                required:
                  - status
                  - data
                additionalProperties: false
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
      security:
        - PublishableKey: []
          SiweBearer: []
components:
  schemas:
    DepositToken:
      type: object
      properties:
        chainId:
          type: number
        address:
          $ref: '#/components/schemas/Address'
        symbol:
          type: string
        name:
          type: string
        decimals:
          type: number
        logoURI:
          type: string
        price:
          $ref: '#/components/schemas/CurrencyAmount'
        balance:
          type: string
        amount:
          $ref: '#/components/schemas/CurrencyAmount'
      required:
        - chainId
        - address
        - symbol
        - name
        - decimals
        - logoURI
        - price
      additionalProperties: false
    Address:
      type: string
      pattern: ^0x[a-fA-F0-9]{40}$
      description: EIP-55 checksummed EVM address
      examples:
        - '0x1234567890AbcdEF1234567890aBcdef12345678'
    CurrencyAmount:
      type: object
      propertyNames:
        type: string
      additionalProperties:
        type: number
      description: Amounts keyed by currency code (always includes USD)
      examples:
        - USD: 1234.56
  responses:
    Error:
      description: Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                const: error
              message:
                type: string
            required:
              - status
              - message
            additionalProperties: false
  securitySchemes:
    PublishableKey:
      type: apiKey
      in: header
      name: X-Publishable-Key
      description: Tenant publishable key (pk_live_...)
    SiweBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: SIWE session JWT issued by POST /auth/verify

````